Bug 30290 - Article requests: Add TOC information to AR notices
Summary: Article requests: Add TOC information to AR notices
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on: 29093
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-14 11:04 UTC by Marcel de Rooy
Modified: 2022-05-11 01:18 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30290: Adjust sample_notices.yml (3.30 KB, patch)
2022-03-14 13:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 30290: Database revision for existing notices (1.42 KB, patch)
2022-03-14 13:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 30290: (follow-up) Add warning for translated notices (1.59 KB, patch)
2022-03-14 13:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 30290: Adjust sample_notices.yml (3.32 KB, patch)
2022-04-20 12:57 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30290: Database revision for existing notices (1.43 KB, patch)
2022-04-20 12:57 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30290: (follow-up) Add warning for translated notices (1.61 KB, patch)
2022-04-20 12:57 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30290: (QA follow-up) Sample notices: Change phrasing to Yes/No (3.69 KB, patch)
2022-04-25 10:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30290: Adjust sample_notices.yml (3.37 KB, patch)
2022-04-25 10:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30290: Database revision for existing notices (1.49 KB, patch)
2022-04-25 10:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30290: (follow-up) Add warning for translated notices (1.66 KB, patch)
2022-04-25 10:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30290: (QA follow-up) Sample notices/database update: Change phrasing to Yes/No (4.54 KB, patch)
2022-04-25 10:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2022-03-14 11:04:20 UTC
Follow-up of report 29093.
We should add a line showing if TOC was requested.
Comment 1 Marcel de Rooy 2022-03-14 13:08:36 UTC
Created attachment 131654 [details] [review]
Bug 30290: Adjust sample_notices.yml

Test plan:
Run a new install. Check the AR notices.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2022-03-14 13:08:39 UTC
Created attachment 131655 [details] [review]
Bug 30290: Database revision for existing notices

Note: It will be hard to update translated notices. If we cannot find
the part 'Pages:' then the replace does not do anything.

Test plan:
Run db rev.
Check an existing AR notice (English).

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Marcel de Rooy 2022-03-14 13:08:43 UTC
Created attachment 131656 [details] [review]
Bug 30290: (follow-up) Add warning for translated notices

Note: Problem is that we cannot know if default was translated
or en contains the original notice. Actually this holds for
the other languages too. So this is an educated guess without
using the lang field.

Test plan:
Run db rev.
Trigger the warning by replacing Pages by PPages in an AR notice.
Run db rev again.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Tomás Cohen Arazi 2022-04-20 12:57:43 UTC
Created attachment 133468 [details] [review]
Bug 30290: Adjust sample_notices.yml

Test plan:
Run a new install. Check the AR notices.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Tomás Cohen Arazi 2022-04-20 12:57:48 UTC
Created attachment 133469 [details] [review]
Bug 30290: Database revision for existing notices

Note: It will be hard to update translated notices. If we cannot find
the part 'Pages:' then the replace does not do anything.

Test plan:
Run db rev.
Check an existing AR notice (English).

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Tomás Cohen Arazi 2022-04-20 12:57:53 UTC
Created attachment 133470 [details] [review]
Bug 30290: (follow-up) Add warning for translated notices

Note: Problem is that we cannot know if default was translated
or en contains the original notice. Actually this holds for
the other languages too. So this is an educated guess without
using the lang field.

Test plan:
Run db rev.
Trigger the warning by replacing Pages by PPages in an AR notice.
Run db rev again.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Tomás Cohen Arazi 2022-04-20 13:02:01 UTC
I tested this and works as expected. My only doubt would be the wording. I'd prefer to see:

Include TOC: yes/no

but no strongly attached to it.
Comment 8 Katrin Fischer 2022-04-25 10:31:43 UTC
Created attachment 133730 [details] [review]
Bug 30290: (QA follow-up) Sample notices: Change phrasing to Yes/No
Comment 9 Katrin Fischer 2022-04-25 10:39:27 UTC
Created attachment 133731 [details] [review]
Bug 30290: Adjust sample_notices.yml

Test plan:
Run a new install. Check the AR notices.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2022-04-25 10:39:31 UTC
Created attachment 133732 [details] [review]
Bug 30290: Database revision for existing notices

Note: It will be hard to update translated notices. If we cannot find
the part 'Pages:' then the replace does not do anything.

Test plan:
Run db rev.
Check an existing AR notice (English).

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2022-04-25 10:39:36 UTC
Created attachment 133733 [details] [review]
Bug 30290: (follow-up) Add warning for translated notices

Note: Problem is that we cannot know if default was translated
or en contains the original notice. Actually this holds for
the other languages too. So this is an educated guess without
using the lang field.

Test plan:
Run db rev.
Trigger the warning by replacing Pages by PPages in an AR notice.
Run db rev again.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2022-04-25 10:39:40 UTC
Created attachment 133734 [details] [review]
Bug 30290: (QA follow-up) Sample notices/database update: Change phrasing to Yes/No

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2022-04-25 10:41:42 UTC
(In reply to Tomás Cohen Arazi from comment #7)
> I tested this and works as expected. My only doubt would be the wording. I'd
> prefer to see:
> 
> Include TOC: yes/no
> 
> but no strongly attached to it.

I had the same feeling so I povided a follow-up with this change.

As we had been burnt on bug 29805 with old MySQL versions, I also verified that RLIKE and REGEXP are both ok to use:
https://dev.mysql.com/doc/refman/5.7/en/regexp.html
Comment 14 Fridolin Somers 2022-05-11 01:18:48 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄